variables:
  TAG: ""
stages:
  - set_tag
  - run

set-tag:
  stage: set_tag
  script:
    - cd test-execution
    - npm install
    - npm run build
    - npm run start-init-execution-keywords $suiteId
    - $TAG = Get-Content .\execution_keywords.txt -Raw

run-tests:
  tags:
    - $TAG
  stage: run
  script:
    - cd test-execution
    - npm install
    - npm run build
    - echo $testsToRun
    - npm run start-nunit "$testsToRun" $suiteId $suiteRunId $nunit2 $nunit3 $username $password
    - echo "running tests... "
    - Get-Content -Path .\command_to_execute.bat
    - Start-Process -FilePath .\command_to_execute.bat
    - Get-Content -Path .\java_command_to_execute.bat
    - Start-Process -FilePath .\java_command_to_execute.bat
  artifacts:
    paths:
      - .\test-execution\command_to_execute.bat
      - .\test-execution\testResults\*


